class Management::ScoreUserCategoriesController < ManagementController

  before_action :set_score_user_categories, only: [:update, :show]


  def index
    @score_user_categories = ScoreUserCategory.all
  end

  def show
    respond_to do |format|
      format.html
      format.json { render json: @score_user_categories }
    end
  end

  def edit
  end

  def update
    respond_to do |format|
      if @score_user_category.update_attributes(score_user_categories_params)
        format.html { redirect_to(@score_user_category, notice: 'Score atualizado.') }
        format.json { respond_with_bip(@score_user_category) }
      else
        format.html { render action: 'edit' }
        format.json { respond_with_bip(@score_user_category) }
      end
    end
  end



  private

  def set_score_user_categories
    @score_user_category = ScoreUserCategory.find params[:id]
  end

  def score_user_categories_params
    params.require(:score_user_category).permit(:value)
  end

end
