namespace :convert do

  desc "Convert videos to mp4"
  task :video => :environment do
    # Get items from dspace (from offset to offset+limit)
    items = LearningObject.all

    # Terminate loop if there are no more items to import
    break if items.empty?

    items.each do |item|
      item.attachments.each do |attachment|
        if attachment.name =~ /(.flv|.wmv|.mov|.mpg)$/i
          ConvertVideoWorker.perform_async(item.id)
          p "Convert learning object #{item.id}"
        end
      end
    end

    # Increment offset, to get new items on next iteration
    offset += limit
  end

end
